<!-- <h3> --><!-- %=l(:label_attachment_plural)%></h3 -->
<% if @isproject %>
    <%= render :partial => 'project_file', locals: {project: @project} %>
<% else %>
    <%= render :partial => 'course_file', locals: {course: @course} %>
<% end %>


<script type='text/javascript'>
    var slideHeight = 29;
    function readmore(aNode) {
        // console.log(aNode)
        // var $td_tags_area = $(aNode).parent().parent();
        var $td_tags_area = $(aNode).parent().parent().parent().parent();
        var $tags_area = $td_tags_area.find('.tags_area')
        var $tags_gradint = $td_tags_area.find('.tags_gradint')
        var $read_more = $td_tags_area.find('.read-more')
        var $read_more_a = $td_tags_area.find('.read-more a')
        var $tags = $td_tags_area.find('#tags')
        var $icona = $td_tags_area.find('.tags_icona')

        var slideHeight = 13; //px
        var defHeight = $tags.height();

        var curHeight = $tags_area.height();
        if (curHeight == slideHeight) {
            $tags_area.animate({
                height: defHeight
            }, 'normal');
            $read_more_a.html('隐藏');
            $icona.html('<%=image_tag "/images/sidebar/minus.png"%>')
            $tags_gradint.fadeOut();
        } else {
            $tags_area.animate({
                height: slideHeight
            }, 'normal');
            $read_more_a.html('更多');
            $icona.html('<%=image_tag "/images/sidebar/add.png"%>')
            $tags_gradint.fadeIn();
        }
        ;

    }
    $(function () {
        var slideHeight = 20; //px
        var defHeight = $('.tags_area').height();
        if (defHeight >= slideHeight) {
            $('.tags_area').css('height', slideHeight + 'px');
        }
        ;
    });

    function eval_ajax(xhr, textStatus) {
        if (textStatus == 'success') {
            eval(xhr.responseText);
        } else if (textStatus == 'error') {
            alert('error');
        }
    }


    function attachment_contenttypes_searchex(value) {
        <% if  @project%>
        $.ajax({
            url: '<%=getattachtype_project_files_path(project_id: @project)%>',
            type: "POST",
            data: {
                type: $('#attachment_browse').val(),
                contentType: encodeURIComponent(value)
            }

        }).complete(eval_ajax);
        <%end%>
    }



    function attachtype_edit(value) {
        <% if  @project%>
        $.ajax({

            url: '<%=getattachtype_project_files_path(project_id: @project)%>',
            type: "POST",
            data: {
                type: $('#attachment_browse').val(),
                contentType: encodeURIComponent(value)
            }

        }).complete(eval_ajax);
        <%end%>
    }

    function attachmenttypes_searchex(value) {
        <% if  @project%>
        $.ajax({
            url: '<%=getattachtype_project_files_path(project_id: @project)%>',
            type: "POST",
            data: {
                type: encodeURIComponent(value),
                contentType: $('#attach_sufix_browse').val()
            }

        }).complete(eval_ajax);
        <%end%>
    }

    function course_attachmenttypes_searchex(value) {
        <% if  @course%>
        $.ajax({
            url: '<%=getattachtype_course_files_path(course_id: @course)%>',
            type: "POST",
            data: {
                type: encodeURIComponent(value),
                contentType: $('#attach_sufix_browse').val()
            }

        }).complete(eval_ajax);
        <%end%>
    }

    function course_attachment_contenttypes_searchex(value) {
        <% if  @course%>
        $.ajax({

            url: '<%=getattachtype_course_files_path(course_id: @course)%>',
            type: "POST",
            data: {
                type: $('#attachment_browse').val(),
                contentType: encodeURIComponent(value)
            }

        }).complete(eval_ajax);
        <%end%>
    }
    function course_attachtype_edit(value) {
        <% if  @course%>
        $.ajax({
            url: '<%=getattachtype_course_files_path(course_id: @course)%>',
            type: "POST",
            data: {
                type: $('#attachment_browse').val(),
                contentType: encodeURIComponent(value)
            }

        }).complete(eval_ajax);
        <%end%>
    }

    function attachmenttypes_change(id, type) {
        <% if  @project%>
        $.ajax({
            url: '<%=updateType_attachments_path%>',
            type: "POST",
            data: {
                attachmentid: encodeURIComponent(id),
                newtype: encodeURIComponent(type)
            }

        }).complete(function (xhr, textStatus) {

            if (textStatus == 'success') {
                $.ajax({
                    url: '<%=getattachtype_project_files_path(project_id: @project)%>',
                    type: "POST",
                    data: {
                        type: $('#attachment_browse').val(),
                        contentType: $('#attach_sufix_browse').val()
                    }
                }).error(function () {
                    alert('error');
                });
            } else if (textStatus == 'error') {
                alert('An error has occurred');
            }
        });
        <%end%>

    }

    function course_attachmenttypes_change(id, type) {
        <% if  @course%>
        $.ajax({
            url: '<%=updateType_attachments_path%>',
            type: "POST",
            data: {
                attachmentid: encodeURIComponent(id),
                newtype: encodeURIComponent(type)
            }

        }).complete(function (xhr, textStatus) {

            if (textStatus == 'success') {
                $.ajax({
                    url: '<%=getattachtype_course_files_path(course_id: @course)%>',
                    type: "POST",
                    data: {
                        type: $('#attachment_browse').val(),
                        contentType: $('#attach_sufix_browse').val()
                    }
                }).error(function () {
                    alert('error');
                });
            } else if (textStatus == 'error') {
                alert('An error has occurred');
            }
        });
        <%end%>

    }

    // 编辑文件密级
    function file_dense_edit(id, type) {
        $.ajax({
            url: '<%=updateFileDense_attachments_path%>',
            type: "POST",
            remote:"true",
            data: {
                attachmentid: encodeURIComponent(id),
                newtype: encodeURIComponent(type)
            }

        }).complete(function (xhr, textStatus) {
        });

    }

</script>


<script type='text/javascript'>
    function tagAddClick(divid, objId, objTag) {
        alert("OK");
        $.ajax({
            type: "POST",
            url: '/users/tag_saveEx',
            data: {
                tagname: $('tag_name').value,
                obj_id: encodeURIComponent(objId),
                obj_flag: encodeURIComponent(objTag)
            },
            success: function (data, textStatus) {
                alert("OK");
                $(divid).empty();
                $(divid).html('123');
                $("#" + divid + " #name").val("");
            }
        })
    }
</script>
